#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	ytnef
Version		:	2.1.2
Release		:	16.2.0.rel%{?dist}
Summary		:	TNEF Stream Reader - for winmail.dat files
Group		:	Applications/File

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	https://github.com/Yeraze/ytnef

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
Requires	:	perl-MIME-tools
Requires	:	perl-MailTools
Requires	:	perl-TimeDate
#-----------------------------------------------------------------------------
%description
Transport Neutral Encapsulation Format or TNEF is a proprietary
email attachment format used by Microsoft Outlook and Microsoft
Exchange Server. An attached file with TNEF encoding is most
often named winmail.dat or win.dat, and has a MIME type of
Application/MS-TNEF. The official (IANA) media type, however,
is application/vnd.ms-tnef
#-----------------------------------------------------------------------------
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build


./autogen.sh
./configure						\
        --prefix=%{_prefix}				\
	--bindir=%{_bindir}				\
	--sbindir=%{_sbindir}				\
	--includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-shared					\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

%files			
%defattr(-, root,root, -)
%doc COPYING README.md
%{_bindir}/%{name}*
%{_includedir}/mapi*.h
%{_includedir}/tnef*.h
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so*
%{_libdir}/pkgconfig/lib%{name}.pc

%postun
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig

%changelog
